Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.bpel.rapi
Interface VariableContext

All Known Subinterfaces:
  OdeRTInstanceContext

    public interface VariableContext

Engine provided methods for variable management.

Nested Class Summary
`static class` | `VariableContext.ValueReferencePair`

Method Summary
`void` | `commitChanges(Variable var, org.w3c.dom.Node changes)` Save changes to variable.
`org.w3c.dom.Node` | `convertEndpointReference(org.w3c.dom.Element epr, org.w3c.dom.Node targetNode)`
`java.lang.Long` | `createScopeInstance(java.lang.Long parentScopeId, java.lang.String scopename, int scopemodelid)` Create a scope instance object.
`org.w3c.dom.Element` | `fetchMyRoleEndpointReferenceData(PartnerLink plink)` Fetches the my-role endpoint reference data.
`java.lang.String` | `fetchMySessionId(PartnerLink pLink)` Fetches our session id associated with the partner link instance.
`org.w3c.dom.Element` | `fetchPartnerRoleEndpointReferenceData(PartnerLink pLink)`
`java.lang.String` | `fetchPartnersSessionId(PartnerLink pLink)` Fetches the partner's session id associated with the partner link instance.
`org.w3c.dom.Node` | `fetchVariableData(Variable var, boolean forWriting)` Fetch variable data from store.
`void` | `initializePartnerLinks(java.lang.Long parentScopeId, java.util.Collection<? extends PartnerLinkModel> partnerLinks)` Initializes endpoint references for partner links inside a scope.
`void` | `initializePartnersSessionId(PartnerLink pLink, java.lang.String session)` Initialize the partner's session id for this partner link instance.
`org.w3c.dom.Node` | `initializeVariable(Variable var, org.w3c.dom.Node initData)` Initialize variable with a value.
`boolean` | `isCorrelationInitialized(CorrelationSet cset)`
`boolean` | `isPartnerRoleEndpointInitialized(PartnerLink pLink)` Determine if the partner role of an endpoint has been initialized (either explicitly throug assginment or via the deployment descriptor)
`boolean` | `isVariableInitialized(Variable variable)` Checks for variable initialization, i.e.
`CorrelationKey` | `readCorrelation(CorrelationSet cset)`
`org.w3c.dom.Node` | `readExtVar(Variable variable, org.w3c.dom.Node reference)`
`java.lang.String` | `readVariableProperty(Variable variable, javax.xml.namespace.QName property)` Read variable property.
`void` | `writeCorrelation(CorrelationSet cset, javax.xml.namespace.QName[] propNames, CorrelationKey correlation)`
`void` | `writeEndpointReference(PartnerLink partnerLink, org.w3c.dom.Element data)` Writes a partner EPR.
`VariableContext.ValueReferencePair` | `writeExtVar(Variable variable, org.w3c.dom.Node reference, org.w3c.dom.Node value)`
`void` | `writeVariableProperty(Variable variable, javax.xml.namespace.QName property, java.lang.String value)` Write variable property.

Method Detail

### createScopeInstance

    java.lang.Long createScopeInstance(java.lang.Long parentScopeId,
                                       java.lang.String scopename,
                                       int scopemodelid)

  Create a scope instance object. As far as the engine is concerned a scope is an abstract entity for grouping variables of various sorts.

  Parameters:
    `parentScopeId` - id of parent scope (null if root scope)
    `scopename` - the type of scope, i.e. the name of the scope
  Returns:
    scope instance identifier

### isVariableInitialized

    boolean isVariableInitialized(Variable variable)

  Checks for variable initialization, i.e. has had a 'write'

  Parameters:
    `variable` - variable
  Returns:
    `true` if initialized

### fetchVariableData

    org.w3c.dom.Node fetchVariableData(Variable var,
                                       boolean forWriting)

  Fetch variable data from store.

### commitChanges

    void commitChanges(Variable var,
                       org.w3c.dom.Node changes)

  Save changes to variable.

  Parameters:
    `var` - variable identifier
    `changes` - changes

### initializeVariable

    org.w3c.dom.Node initializeVariable(Variable var,
                                        org.w3c.dom.Node initData)

  Initialize variable with a value.

  Parameters:
    `var` - variable identifier
    `initData` - value
  Returns:
    mutable copy of data

### readExtVar

    org.w3c.dom.Node readExtVar(Variable variable,
                                org.w3c.dom.Node reference)
                                throws ExternalVariableModuleException

  Throws:
    `ExternalVariableModuleException`

### writeExtVar

    VariableContext.ValueReferencePair writeExtVar(Variable variable,
                                                   org.w3c.dom.Node reference,
                                                   org.w3c.dom.Node value)
                                                   throws ExternalVariableModuleException

  Throws:
    `ExternalVariableModuleException`

### readVariableProperty

    java.lang.String readVariableProperty(Variable variable,
                                          javax.xml.namespace.QName property)
                                          throws UninitializedVariableException

  Read variable property. Variable properties are simple nv-pair annotations that can be assigned to each variable.

  Parameters:
    `variable` -
    `property` -
  Returns:
  Throws:
    `UninitializedVariableException`

### writeVariableProperty

    void writeVariableProperty(Variable variable,
                               javax.xml.namespace.QName property,
                               java.lang.String value)
                               throws UninitializedVariableException

  Write variable property.

  Parameters:
    `variable` -
    `property` -
    `value` -
  Throws:
    `UninitializedVariableException`

### initializePartnerLinks

    void initializePartnerLinks(java.lang.Long parentScopeId,
                                java.util.Collection<? extends PartnerLinkModel> partnerLinks)

  Initializes endpoint references for partner links inside a scope.

  Parameters:
    `parentScopeId` -
    `partnerLinks` -

### fetchMyRoleEndpointReferenceData

    org.w3c.dom.Element fetchMyRoleEndpointReferenceData(PartnerLink plink)

  Fetches the my-role endpoint reference data.

  Parameters:
    `plink` -
  Returns:
  Throws:
    `FaultException`

### fetchPartnerRoleEndpointReferenceData

    org.w3c.dom.Element fetchPartnerRoleEndpointReferenceData(PartnerLink pLink)

### isPartnerRoleEndpointInitialized

    boolean isPartnerRoleEndpointInitialized(PartnerLink pLink)

  Determine if the partner role of an endpoint has been initialized (either explicitly throug assginment or via the deployment descriptor)

  Parameters:
    `pLink` - partner link
  Returns:

### fetchMySessionId

    java.lang.String fetchMySessionId(PartnerLink pLink)

  Fetches our session id associated with the partner link instance. This will always return a non-null value.

  Parameters:
    `pLink` - partner link

### fetchPartnersSessionId

    java.lang.String fetchPartnersSessionId(PartnerLink pLink)

  Fetches the partner's session id associated with the partner link instance.

  Parameters:
    `pLink` - partner link

### initializePartnersSessionId

    void initializePartnersSessionId(PartnerLink pLink,
                                     java.lang.String session)

  Initialize the partner's session id for this partner link instance.

  Parameters:
    `pLink` - partner link
    `session` - session identifier

### writeEndpointReference

    void writeEndpointReference(PartnerLink partnerLink,
                                org.w3c.dom.Element data)

  Writes a partner EPR.

  Parameters:
    `partnerLink` -
    `data` -
  Throws:
    `FaultException`

### convertEndpointReference

    org.w3c.dom.Node convertEndpointReference(org.w3c.dom.Element epr,
                                              org.w3c.dom.Node targetNode)

### isCorrelationInitialized

    boolean isCorrelationInitialized(CorrelationSet cset)

### readCorrelation

    CorrelationKey readCorrelation(CorrelationSet cset)

### writeCorrelation

    void writeCorrelation(CorrelationSet cset,
                          javax.xml.namespace.QName[] propNames,
                          CorrelationKey correlation)
                          throws FaultException

  Throws:
    `FaultException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD